<template>
    <view>
        <view class="change-container">
            <view class="relative width100 height100">
                <image class="width100 height100" :src="resource.ex_money_bg" />
                <view class="contain">
                    <view class="inline-block">
                        <view class="inline-block" style="font-size: 120rpx">{{ money }}</view>
                        元
                    </view>
                </view>
            </view>
        </view>
    </view>
</template>

<script>
import resource from '@/utils/resource'

export default {
    props: {
        cakeTotal: Number
    },
    data() {
        return {
            resource,
            money: ''
        }
    },
    created() {
        this.$service.weal.carveUpMoney().then((res) => {
                if (res.code === '0') {
                    this.money = res.data
                } else {
                    this.$message.error(res.msg)
                }
            })
    },
    methods: {}
}
</script>

<style lang="scss" scoped>
.change-container {
    position: fixed;
    bottom: 48rpx;
    left: 30rpx;
    width: 694rpx;
    height: 732rpx;

    .contain {
        position: absolute;
        bottom: 278rpx;
        width: 100%;
        height: 100rpx;
        text-align: center;
        color: #fdcd53;
    }
}
</style>